#
# spec file for package MozillaThunderbird (Version 2.0.0.23)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2009 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme indent info insserv keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libfreebl3 libgcc42 libgcrypt libglade2 libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libidl libidl-devel libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel ncurses net-tools netcfg nss-mdns openldap2-client openssl-certs orbit orbit-devel orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils rpm sed setserial sqlite sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           MozillaThunderbird
BuildRequires:  gcc-c++ libgnomeui-devel libidl-devel orbit-devel unzip update-desktop-files zip
%if %suse_version > 1030
BuildRequires:  hunspell-devel
%endif
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
# fix broken 9.3 requirements
%if %suse_version <= 930
BuildRequires:  freetype2-devel popt-devel
%endif
# fix broken SLES9 requirements
%if %suse_version == 910
BuildRequires:  gnome-vfs2 libgnome libgnomeui pkgconfig
%endif
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Version:        2.0.0.23
Release:        0.1
Summary:        The Stand-Alone Mozilla Mail Component
Url:            http://www.mozilla.org/products/thunderbird/
Group:          Productivity/Networking/Email/Clients
Source:         thunderbird-%{version}-source.tar.bz2
Source1:        MozillaThunderbird.desktop
Source2:        add-plugins.sh.in
Source3:        mozilla.sh.in
Source4:        l10n-%{version}.tar.bz2
Source5:        mailredirect-0.7.5.xpi
Source6:        suse-default-prefs.js
Source9:        enigmail-0.95.7.tar.bz2
Source11:       enigmail.manifest
Source12:       %{name}-rpmlintrc
Patch1:         replytolist.patch
Patch2:         thunderbird-appname.patch
Patch3:         mozilla-gcc4.3-fixes.patch
Patch4:         locale.patch
Patch5:         abuild.patch
Patch6:         nspr-prdtoa.patch
Patch7:         enig-shared.patch
Patch8:         gcc-undefined-ops.patch
Patch9:         tb-develdirs.patch
Patch10:        mips-buildfix.diff
Patch12:        misc.dif
Patch13:        nss-opt.patch
Patch14:        html-compose.patch
Patch15:        system-extensions.patch
Patch16:        list-replyto-clobber.patch
Patch17:        mozilla-path_len.patch
Patch18:        mozldap-charray_strdup.patch
Patch19:        mozilla-shared-nss-db.patch
Patch20:        mozilla-gcc44.patch
Patch22:        cjk-postscript-fonts.dif
Patch25:        postscript.patch
Patch26:        cups-paper.patch
Patch27:        thunderbird-1.5.0.8-uninitalized-vars-232305.patch
Patch28:        mozilla-system-hunspell.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         coreutils fileutils textutils /bin/sh
%if %suse_version > 1000
Suggests:       %{name}-translations
%endif
%define has_system_cairo 0
%define has_system_nspr  0
%define has_system_nss   0
%if %suse_version > 930
%define has_system_cairo 1
%endif
%if %suse_version > 1010 || 0%{?opensuse_bs}
# NSPR and NSS in OBS:mozilla are always sufficient
%define has_system_nspr  1
# NSS version on 10.1 is too old (<3.11)
%define has_system_nss   1
%endif
%if %has_system_nspr
BuildRequires:  mozilla-nspr-devel
Requires:       mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
%endif
%if %has_system_nss
BuildRequires:  mozilla-nss-devel >= 3.12.3
%endif
%define _unpackaged_files_terminate_build 0
%define releasedate 2009081700
%define progname thunderbird
%define progdir %{_prefix}/%_lib/thunderbird
%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires
%if %suse_version > 920
%define libgssapi libgssapi_krb5.so.2
%else
%define libgssapi libgssapi.so.1
%endif
### build options
%define milestone 1 
%define build_enigmail 1
%define localize 1
### build options end
%if %build_enigmail
Requires:       /usr/bin/gpg
%if %suse_version > 1020
Requires:       pinentry-dialog
%endif
%endif

%description
Mozilla Thunderbird is a redesign of the Mozilla Mail component. It is
written using the XUL user interface language and designed to be
cross-platform. It is a stand-alone application instead of part of the
Mozilla application suite.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%package translations
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Translations of MozillaThunderbird
Provides:       locale(MozillaThunderbird:af;be;bg;ca;cs;da;de;el;en_GB;es_AR;es_ES;eu;fi;fr;ga_IE;he;hu;it;ja;ko;lt;mk;nb_NO;nl;nn_NO;pa_IN;pl;pt_BR;pt_PT;ru;sk;sl;sv_SE;tr;uk;zh_CN;zh_TW)
Group:          Productivity/Networking/Email/Clients
PreReq:         %{name} = %{version}

%description translations
This package contains several optional languages for the user interface
of MozillaThunderbird.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        The Stand-Alone Mozilla Mail Component
Group:          Productivity/Networking/Email/Clients
%if %has_system_nspr
Requires:       mozilla-nspr-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr-devel)
%endif
%if %has_system_nss
PreReq:         mozilla-nss-devel
%endif
PreReq:         %{name} = %{version}

%description devel
Mozilla Thunderbird is a redesign of the Mozilla Mail component. It is
written using the XUL user interface language and designed to be
cross-platform. It is a stand-alone application instead of part of the
Mozilla application suite.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%if %build_enigmail
%setup -n mozilla -q -b 4 -b 9
cd $RPM_BUILD_DIR
%patch7
%else
%setup -n mozilla -q -b 4
%endif
cd $RPM_BUILD_DIR/mozilla
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch8
%patch9
%patch10
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17 -p1
%patch18
%patch20
%patch22
%patch25
%patch26
%patch27
# contain configure changes
%patch19
%patch28

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
# enigmail build fails with visibility enabled
%if %suse_version > 1020
%ifarch x86_64 s390 s390x
export ac_cv_visibility_hidden="no"
%endif
# hopefully only temporary change for gcc 4.3
%if %suse_version > 1030
export ac_cv_visibility_hidden="no"
%endif
%endif
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
export CXXFLAGS="$CFLAGS"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/mail/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --with-system-jpeg
ac_add_options --with-system-png
ac_add_options --with-system-zlib
#ac_add_options --enable-extensions=default,lightning
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-xft
%if %suse_version > 920
ac_add_options --enable-pango
%endif
%if %suse_version > 1030
ac_add_options --enable-system-myspell
%endif
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --disable-plugins
ac_add_options --enable-static
ac_add_options --disable-shared
EOF
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_nss
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nss
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if %milestone
cat << EOF >> $MOZCONFIG
ac_add_options --enable-official-branding
EOF
%endif
make -f client.mk build
#
### enigmail build
%if %build_enigmail
mv $RPM_BUILD_DIR/enigmail $RPM_BUILD_DIR/mozilla/mailnews/extensions/
(cd $RPM_BUILD_DIR/mozilla/mailnews/extensions/enigmail; ./makemake -r; make)
%endif

%install
make -C mail/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{progdir}
cp -rf $RPM_BUILD_DIR/mozilla/dist/thunderbird/* $RPM_BUILD_ROOT%{progdir}
# build additional locales
%if %localize
echo %defattr\(-,root,root\) > %{_tmppath}/translations.list
#for locale in $(cat mail/locales/all-locales); do
for locale in $(awk '{ print $1; }' mail/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
        # locales not to be included in translations package
	;;
   *)
        make -C mail/locales libs-$locale
        cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
           $RPM_BUILD_ROOT%{progdir}/chrome
        cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
           $RPM_BUILD_ROOT%{progdir}/chrome
        echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.list
        echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.list
  esac
done
%endif
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT%{_bindir}/
sed "s:%%PREFIX:%{_prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.thunderbird:g" \
  %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT/%{_bindir}/%{progname}
# freedesktop definition
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} \
               $RPM_BUILD_ROOT%{_datadir}/applications
# install add-plugins.sh
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
  %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g
s,GSSAPI,%{libgssapi},g' \
   %{SOURCE6} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT/%{progdir}/defaults/pref/novell.js
rm suse-default-prefs
# use correct locale for useragent
cat > $RPM_BUILD_ROOT%{progdir}/defaults/pref/all-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
##########
# DEVEL
#
mkdir -p $RPM_BUILD_ROOT%{_includedir}/thunderbird
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird/bin/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
cp -rL dist/sdk/bin/     $RPM_BUILD_ROOT%{_libdir}/thunderbird/ 
cp -rL dist/sdk/lib/*.a  $RPM_BUILD_ROOT%{_libdir}/thunderbird/ 
cp -rL dist/idl/*        $RPM_BUILD_ROOT%{_includedir}/thunderbird/ 
cp -rL dist/include/*    $RPM_BUILD_ROOT%{_includedir}/thunderbird/
cp -rL dist/bin/thunderbird-config $RPM_BUILD_ROOT%{_bindir}/
install -m 755 $RPM_BUILD_DIR/mozilla/build/unix/thunderbird-*.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
%if %has_system_nss
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/thunderbird-nss.pc
ln -sf nss.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/thunderbird-nss.pc
%endif
##########
# ADDONS
#
# install enigmail in extension dir
%if %build_enigmail
_enig_dir=$RPM_BUILD_ROOT%{progdir}/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
mkdir -p $_enig_dir/chrome/
mkdir -p $_enig_dir/components/
mkdir -p $_enig_dir/defaults/preferences/
mv -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail.jar $_enig_dir/chrome/
mv -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-skin-tbird.jar $_enig_dir/chrome/
mv -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-locale.jar $_enig_dir/chrome/
mv -f $RPM_BUILD_ROOT%{progdir}/components/enig* $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt $_enig_dir/components/
mv -f $RPM_BUILD_ROOT%{progdir}/defaults/preferences/enigmail.js $_enig_dir/defaults/preferences/
cp -f $RPM_BUILD_DIR/mozilla/mailnews/extensions/enigmail/package/install.rdf $_enig_dir/
rm -rf $RPM_BUILD_ROOT%{progdir}/defaults/preferences/
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-en-US.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-skin.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/chrome/enigmime.jar
rm -rf $RPM_BUILD_ROOT%{progdir}/components/enig*
rm -rf $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so
rm -rf $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt
cp -f %{SOURCE11} $_enig_dir/chrome.manifest
%endif
#
# install mailredirect
_redir_dir=$RPM_BUILD_ROOT%{progdir}/extensions/\{CC3C233D-6668-41bc-AAEB-F3A1D1D594F5\}
mkdir $_redir_dir
unzip %{SOURCE5} -d $_redir_dir
#
# remove spurious executable bits
find $RPM_BUILD_ROOT/usr/include/thunderbird -type f -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/pkgconfig/* -type f -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/thunderbird -name "*.js" -o -name "*.xpm" | xargs chmod a-x
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp -f $RPM_BUILD_ROOT%{progdir}/icons/mozicon50.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/thunderbird.xpm
%suse_update_desktop_file %{name} Network Email GTK
%if !%has_system_nss
# modify provides and requires lists
cat << EOF > %{my_provides}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so|libfreebl3.so" | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so|libpipnss.so|libfreebl3.so|thunderbird-bin" | %{__find_requires}
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
%endif
%if %suse_version > 1020
# Some sites use different partitions for /usr/(lib|lib64) and /usr/share.  Since you
# can't create hardlinks across partitions, we'll do this more than once.
%fdupes $RPM_BUILD_ROOT%{progdir}
%fdupes $RPM_BUILD_ROOT%{_datadir}
%fdupes $RPM_BUILD_ROOT%{_includedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %has_system_nspr && !%has_system_nss
rm -f %{my_provides}
rm -f %{my_requires}
%endif

%triggerin -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%post
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  rm -f %{progdir}/components/myspell/*
  rm -f %{progdir}/dictionaries/*
fi
exit 0

%files
%defattr(-,root,root)
%attr(755,root,root) %{progdir}/%{progname}.sh
%attr(755,root,root) %{progdir}/add-plugins.sh
%dir %{progdir}
%{progdir}/res/
%{progdir}/icons/
# NSPR
%if ! %has_system_nspr
%{progdir}/libnspr4.so
%{progdir}/libplc4.so
%{progdir}/libplds4.so
%endif
# NSS
%if ! %has_system_nss
%{progdir}/libnss3.so
%{progdir}/libnssckbi.so
%{progdir}/libsmime3.so
%{progdir}/libsoftokn3.chk
%{progdir}/libsoftokn3.so
%{progdir}/libssl3.so
%{progdir}/libfreebl3.*
%endif
#
%{progdir}/dependentlibs.list
%{progdir}/LICENSE.txt
%{progdir}/README.txt
%{progdir}/libldap50.so
%{progdir}/libmozjs.so
%{progdir}/libprldap50.so
%{progdir}/libsqlite3.so
%{progdir}/libxpcom_core.so
%{progdir}/libxpcom_compat.so
%{progdir}/libxpcom.so
%{progdir}/libxpistub.so
%{progdir}/license.html
%{progdir}/mozilla-xremote-client
%{progdir}/run-mozilla.sh
%{progdir}/thunderbird
%{progdir}/thunderbird-bin
%{progdir}/updater
%{progdir}/updater.ini
%{progdir}/xpicleanup
%dir %{progdir}/components
%{progdir}/components/FeedProcessor.js
%{progdir}/components/accessibility-atk.xpt
%{progdir}/components/accessibility.xpt
%{progdir}/components/addrbook.xpt
%{progdir}/components/alerts.xpt
%{progdir}/components/appshell.xpt
%{progdir}/components/appstartup.xpt
%{progdir}/components/autocomplete.xpt
%{progdir}/components/autoconfig.xpt
%{progdir}/components/bookmarks.xpt
%{progdir}/components/caps.xpt
%{progdir}/components/chardet.xpt
%{progdir}/components/chrome.xpt
%{progdir}/components/commandhandler.xpt
%{progdir}/components/commandlines.xpt
%{progdir}/components/composer.xpt
%{progdir}/components/content_base.xpt
%{progdir}/components/content_htmldoc.xpt
%{progdir}/components/content_html.xpt
%{progdir}/components/content_xmldoc.xpt
%{progdir}/components/content_xslt.xpt
%{progdir}/components/content_xtf.xpt
%{progdir}/components/docshell.xpt
%{progdir}/components/dom_base.xpt
%{progdir}/components/dom_canvas.xpt
%{progdir}/components/dom_core.xpt
%{progdir}/components/dom_css.xpt
%{progdir}/components/dom_events.xpt
%{progdir}/components/dom_html.xpt
%{progdir}/components/dom_loadsave.xpt
%{progdir}/components/dom_range.xpt
%{progdir}/components/dom_sidebar.xpt
%{progdir}/components/dom_storage.xpt
%{progdir}/components/dom_stylesheets.xpt
%{progdir}/components/dom_traversal.xpt
%{progdir}/components/dom_views.xpt
%{progdir}/components/dom_xbl.xpt
%{progdir}/components/dom_xpath.xpt
%{progdir}/components/dom.xpt
%{progdir}/components/dom_xul.xpt
%{progdir}/components/downloads.xpt
%{progdir}/components/editor.xpt
%{progdir}/components/embed_base.xpt
%{progdir}/components/extensions.xpt
%{progdir}/components/exthandler.xpt
%{progdir}/components/fastfind.xpt
%{progdir}/components/feeds.xpt
%{progdir}/components/filepicker.xpt
%{progdir}/components/find.xpt
%{progdir}/components/gfx.xpt
%{progdir}/components/history.xpt
%{progdir}/components/htmlparser.xpt
%{progdir}/components/imgicon.xpt
%{progdir}/components/imglib2.xpt
%{progdir}/components/impComm4xMail.xpt
%{progdir}/components/import.xpt
%{progdir}/components/inspector.xpt
%{progdir}/components/intl.xpt
%{progdir}/components/jar.xpt
%{progdir}/components/jsconsole.xpt
%{progdir}/components/jsconsole-clhandler.js
%{progdir}/components/jsdservice.xpt
%{progdir}/components/layout_base.xpt
%{progdir}/components/layout_printing.xpt
%{progdir}/components/layout_xul_tree.xpt
%{progdir}/components/layout_xul.xpt
%{progdir}/components/libimgicon.so
%{progdir}/components/libjsd.so
%{progdir}/components/libmozgnome.so
%{progdir}/components/libmyspell.so
%{progdir}/components/libspellchecker.so
%{progdir}/components/libxpinstall.so
%{progdir}/components/locale.xpt
%{progdir}/components/lwbrk.xpt
%{progdir}/components/mailnews.xpt
%{progdir}/components/mailprofilemigration.xpt
%{progdir}/components/mailview.xpt
%{progdir}/components/mdn-service.js
%{progdir}/components/mimetype.xpt
%{progdir}/components/mime.xpt
%{progdir}/components/mozbrwsr.xpt
%{progdir}/components/mozfind.xpt
%{progdir}/components/mozgnome.xpt
%{progdir}/components/mozldap.xpt
%{progdir}/components/msgbase.xpt
%{progdir}/components/msgcompose.xpt
%{progdir}/components/msgdb.xpt
%{progdir}/components/msgimap.xpt
%{progdir}/components/msglocal.xpt
%{progdir}/components/msgnews.xpt
%{progdir}/components/msgsearch.xpt
%{progdir}/components/msgsmime.xpt
%{progdir}/components/necko_about.xpt
%{progdir}/components/necko_cache.xpt
%{progdir}/components/necko_cookie.xpt
%{progdir}/components/necko_data.xpt
%{progdir}/components/necko_dns.xpt
%{progdir}/components/necko_file.xpt
%{progdir}/components/necko_ftp.xpt
%{progdir}/components/necko_http.xpt
%{progdir}/components/necko_res.xpt
%{progdir}/components/necko_socket.xpt
%{progdir}/components/necko_strconv.xpt
%{progdir}/components/necko_viewsource.xpt
%{progdir}/components/necko.xpt
%{progdir}/components/newsblog.js
%{progdir}/components/nsAbLDAPAttributeMap.js
%{progdir}/components/nsCloseAllWindows.js
%{progdir}/components/nsComposerCmdLineHandler.js
%{progdir}/components/nsDefaultCLH.js
%{progdir}/components/nsExtensionManager.js
%{progdir}/components/nsFilePicker.js
%{progdir}/components/nsPhishingProtectionApplication.js
%{progdir}/components/nsHelperAppDlg.js
%{progdir}/components/nsInterfaceInfoToIDL.js
%{progdir}/components/nsLDAPPrefsService.js
%{progdir}/components/nsMailDefaultHandler.js
%{progdir}/components/nsUpdateService.js
%{progdir}/components/nsProgressDialog.js
%{progdir}/components/nsProxyAutoConfig.js
%{progdir}/components/nsURLFormatter.js
%{progdir}/components/nsUrlClassifierLib.js
%{progdir}/components/nsUrlClassifierListManager.js
%{progdir}/components/nsUrlClassifierTable.js
%{progdir}/components/url-classifier.xpt
%{progdir}/components/offlineStartup.js
%{progdir}/components/pipboot.xpt
%{progdir}/components/pipnss.xpt
%{progdir}/components/pippki.xpt
%{progdir}/components/pref.xpt
%{progdir}/components/prefetch.xpt
%{progdir}/components/profile.xpt
%{progdir}/components/progressDlg.xpt
%{progdir}/components/proxyObjInst.xpt
%{progdir}/components/rdf.xpt
%{progdir}/components/saxparser.xpt
%{progdir}/components/nsSetDefaultMail.js
%{progdir}/components/shellservice.xpt
%{progdir}/components/shistory.xpt
%{progdir}/components/signonviewer.xpt
%{progdir}/components/smime-service.js
%{progdir}/components/spellchecker.xpt
%{progdir}/components/storage.xpt
%{progdir}/components/toolkitprofile.xpt
%{progdir}/components/toolkitremote.xpt
%{progdir}/components/txmgr.xpt
%{progdir}/components/txtsvc.xpt
%{progdir}/components/uconv.xpt
%{progdir}/components/unicharutil.xpt
%{progdir}/components/update.xpt
%{progdir}/components/uriloader.xpt
%{progdir}/components/urlformatter.xpt
%{progdir}/components/wallet.xpt
%{progdir}/components/walleteditor.xpt
%{progdir}/components/walletpreview.xpt
%{progdir}/components/webBrowser_core.xpt
%{progdir}/components/webbrowserpersist.xpt
%{progdir}/components/webshell_idls.xpt
%{progdir}/components/websrvcs.xpt
%{progdir}/components/widget.xpt
%{progdir}/components/windowds.xpt
%{progdir}/components/windowwatcher.xpt
%{progdir}/components/xpautocomplete.xpt
%{progdir}/components/xpcom_base.xpt
%{progdir}/components/xpcom_components.xpt
%{progdir}/components/xpcom_ds.xpt
%{progdir}/components/xpcom_io.xpt
%{progdir}/components/xpcom_obsolete.xpt
%{progdir}/components/xpcom_threads.xpt
%{progdir}/components/xpcom_xpti.xpt
%{progdir}/components/xpconnect.xpt
%{progdir}/components/xpinstall.xpt
%{progdir}/components/xulapp.xpt
%{progdir}/components/xuldoc.xpt
%{progdir}/components/xultmpl.xpt
%dir %{progdir}/chrome/
%{progdir}/chrome/classic.*
%{progdir}/chrome/comm.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/messenger.*
%{progdir}/chrome/newsblog.*
%{progdir}/chrome/pippki.*
%{progdir}/chrome/toolkit.*
%{progdir}/chrome/US.jar
%{progdir}/chrome/icons/
%{progdir}/dictionaries/
%{progdir}/defaults/
%{progdir}/greprefs/
%{progdir}/extensions/
%{progdir}/init.d/
%{progdir}/isp/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/thunderbird.xpm
%{_bindir}/%{progname}
%if %localize

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/thunderbird/*.a
%{_libdir}/thunderbird/bin/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/thunderbird/
%{_bindir}/thunderbird-config

%changelog
* Mon Sep 14 2009 - meissner@suse.de
- added libsqlite3.so and adjusted releaseversion according to bs
  package.
* Wed Sep 09 2009 - meissner@suse.de
- security update to version 2.0.0.23 (bnc#534782)
  * MFSA 2009-43/CVE-2009-2404: Heap overflow in certificate regexp parsing
  * MFSA 2009-42/CVE-2009-2408: Compromise of SSL-protected communication
- make NSS 3.12.3 the minimal build requirement for its security
  fixes
* Wed Jun 24 2009 - wr@rosenauer.org
- security update to version 2.0.0.22 (bnc#515950)
  * MFSA-2009-14/CVE-2009-1302/CVE-2009-1303/CVE-2009-1304
  CVE-2009-1305
  Crashes with evidence of memory corruption (rv:1.9.0.9)
  * MFSA 2009-17/CVE-2009-1307 (bmo#481342)
  Same-origin violations when Adobe Flash loaded via
  view-source: scheme
  * MFSA 2009-24/CVE-2009-1392/CVE-2009-1832/CVE-2009-1833
  Crashes with evidence of memory corruption (rv:1.9.0.11)
  * MFSA 2009-27/CVE-2009-1836 (bmo#479880)
  SSL tampering via non-200 responses to proxy CONNECT requests
  * MFSA 2009-29/CVE-2009-1838 (bmo#489131)
  Arbitrary code execution using event listeners attached to an
  element whose owner document is null
  * MFSA 2009-32/CVE-2009-1841 (bmo#479560)
  JavaScript chrome privilege escalation
  * MFSA 2009-33 (bmo#495057)
  Crash viewing multipart/alternative message with
  text/enhanced part
- fixed startscript to be able to handle filenames with whitespaces
* Fri Jun 19 2009 - coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jun 02 2009 - wr@rosenauer.org
- Fixed build issue for gcc 4.4 (mozilla-gcc44.patch)
* Wed Mar 18 2009 - wr@rosenauer.org
- security update to version 2.0.0.21 (bnc#484321)
  * MFSA 2009-07/CVE-2009-0771, CVE-2009-0772, CVE-2009-0773
  CVE-2009-0774:
  Crashes with evidence of memory corruption (rv:1.9.0.7)
  * MFSA 2009-09/CVE-2009-0776:
  XML data theft via RDFXMLDataSource and cross-domain redirect
  * MFSA 2009-10/CVE-2009-0040:
  Upgrade PNG library to fix memory safety hazards
* Fri Jan 02 2009 - hfiguiere@suse.de
- Review and approve changes.
* Wed Dec 31 2008 - wr@rosenauer.org
- security update to version 2.0.0.19 (bnc#455804)
  + MFSA 2008-68/CVE-2008-5511 and CVE-2008-5512: XSS and JavaScript
  privilege escalation
  + MFSA 2008-67/CVE-2008-5510: Escaped null characters ignored by
  CSS parser
  + MFSA 2008-66/CVE-2008-5508: Errors parsing URLs with leading
  whitespace and control characters
  + MFSA 2008-65/CVE-2008-5507: Cross-domain data theft via script
  redirect error message
  + MFSA 2008-64/CVE-2008-5506: XMLHttpRequest 302 response disclosure
  + MFSA 2008-61/CVE-2008-5503: Information stealing via loadBindingDocument
  + MFSA 2008-60/CVE-2008-5500, CVE-2008-5501 and CVE-2008-5502:
  Crashes with evidence of memory corruption (rv:1.9.0.5/1.8.1.19)
- improved mozilla-shared-nss-db.patch and
  mozilla-system-hunspell.patch to be able to apply them
  unconditionally
* Fri Nov 21 2008 - wr@rosenauer.org
- Add mozilla-shared-nss-db.patch which allows migrating to and
  sharing with other applications using NSS
  (same functionality as in xulrunner/firefox)
  (can be disabled completely exporting MOZ_TB_NO_NSSHELPER=1)
* Fri Nov 21 2008 - maw@suse.de
- Review and approve changes.
* Thu Nov 13 2008 - wr@rosenauer.org
- security update to version 2.0.0.18 (bnc#439841)
  * MFSA 2008-48 / CVE-2008-5012
  Image stealing via canvas and HTTP redirect
  * MFSA 2008-50 / CVE-2008-5014 (bmo#436741)
  Crash and remote code execution via __proto__ tampering
  * MFSA 2008-52 / CVE-2008-5016 / CVE-2008-5017 / CVE-2008-5018
  Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  * MFSA 2008-55 / CVE-2008-5021 (bmo#456896)
  Crash and remote code execution in nsFrameManager
  * MFSA 2008-56 / CVE-2008-5022 (bmo#460002)
  nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  * MFSA 2008-58 / CVE-2008-5024 (bmo#453915)
  Parsing error in E4X default namespace
* Wed Oct 15 2008 - maw@suse.de
- Review and approve changes.
* Wed Oct 08 2008 - wr@rosenauer.org
- use system hunspell from 11.0 on (bnc#385739)
- remove more executable bits from non-executable files
* Tue Sep 23 2008 - wr@rosenauer.org
- security update to version 2.0.0.17 (bnc#429179)
  * MFSA 2008-37 / CVE-2008-0016
  UTF-8 URL stack buffer overflow
  * MFSA 2008-38 / CVE-2008-3835
  nsXMLDocument::OnChannelRedirect() same-origin violation
  * MFSA 2008-41 / CVE-2008-4058 / CVE-2008-4059 / CVE-2008-4060
  Privilege escalation via XPCnativeWrapper pollution
  * MFSA 2008-42 / CVE-2008-4061 / CVE-2008-4062 / CVE-2008-4063
  CVE-2008-4064
  Crashes with evidence of memory corruption
  * MFSA 2008-43 / CVE-2008-4065 / CVE-2008-4066
  BOM characters, low surrogates stripped from JavaScript before
  execution
  * MFSA 2008-44 / CVE-2008-4067 / CVE-2008-4068
  resource: traversal vulnerabilities
  * MFSA 2008-46 / CVE-2008-4070
  Heap overflow when canceling newsgroup message
* Mon Sep 15 2008 - wr@rosenauer.org
- fixed undefined operation in nsMailboxService.cpp (abuild.patch)
- cleanup spec a bit while merging from OBS/mozilla
  * forwarding old fixes to cups-paper.patch, mozilla.sh.in and
  add-plugins.sh (were fixed long ago in the OBS repo)
* Thu Sep 11 2008 - mauro@suse.de
- Update to 2.0.0.16 (fixed bnc#417869), fixes:
  + MFSA 2008-34  Remote code execution by overflowing CSS
  reference counter
  + MFSA 2008-33 Crash and remote code execution in block reflow
  + MFSA 2008-31 Peer-trusted certs can use alt names to spoof
  + MFSA 2008-29 Faulty .properties file results in uninitialized
  memory being used
  + MFSA 2008-26 Buffer length checks in MIME processing
  + MFSA 2008-25 Arbitrary code execution in
  mozIJSSubScriptLoader.loadSubScript()
  + MFSA 2008-24 Chrome script loading from fastload file
  + MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
* Wed Jul 23 2008 - schwab@suse.de
- Remove unused includes.
* Tue Jun 24 2008 - maw@suse.de
- Security update to version 2.0.0.14 (bnc#390992):
  + MFSA 2008-15 / CVE-2008-1236 and CVE-2008-1237: Crashes with
  evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14 / CVE-2008-1233, CVE-2008-1234, and CVE-2008-1235:
  JavaScript privilege escalation and arbitrary code execution
- Drop the following patches: thunderbird-2.0.0.14-backports.patch,
  mozilla-missing-decl.patch, and unused-includes.patch
- Respin mozilla-gcc4.3-fixes.patch.
* Fri May 30 2008 - maw@suse.de
- Add thunderbird-2.0.0.14-backports.patch (bnc390992).
* Fri May 16 2008 - schwab@suse.de
- Remove unused includes.
* Mon Mar 24 2008 - maw@suse.de
- Add mozilla-missing-decl.patch, which is necessary when building
  against new versions of mozilla-nss (bmo#399589).
* Fri Mar 07 2008 - maw@suse.de
- Security update to version 2.0.0.12 (bnc#354469)
  * MFSA 2008-12 Buffer overflow in external MIME bodies
- Replace mozilla-maxpathlen.patch with mozilla-path_len.patch, for
  consistency's sake.
* Thu Jan 17 2008 - maw@suse.de
- Add mozilla-maxpathlen.patch (#354150 and bmo #412610).
* Tue Jan 15 2008 - maw@suse.de
- Merge changes from the build service (thanks, Wolfgang)
- Update to version 2.0.9.9 (MFSA 2007-29)
- Update enigmail to version 0.95.6
- Add a -devel subpackage
- Various fixes to enable building with gcc 4.3.
* Tue Nov 13 2007 - maw@suse.de
- Add thunderbird-gcc4.3-fixes.patch
- Add visibility.patch.
* Thu Sep 13 2007 - cthiel@suse.de
- recommend gpg instead of requireing a fixed path
* Wed Sep 12 2007 - maw@suse.de
- Added gpg/pinentry requirements (#309160).
* Tue Sep 04 2007 - maw@suse.de
- Don't run %%fdupes on directories where multiple partitions
  are liable to be mounted.
* Mon Sep 03 2007 - maw@suse.de
- Merge some changes from the build service (thanks, Wolfgang):
  + Provide locale info (#302288)
  + Update releasedate
- Uncomment %%clean.
* Tue Aug 21 2007 - maw@suse.de
- Use %%fdupes.
* Tue Aug 21 2007 - maw@suse.de
- Merge updates from the build service:
- Update to security release 2.0.0.6:
  * MFSA 2007-26  Privilege escalation through chrome-loaded
  about:blank windows
  * MFSA 2007-27  Unescaped URIs passed to external programs
- Update enigmail to version 0.95.3.
* Wed Aug 15 2007 - maw@suse.de
- On x86_64, s390, and s390x, deactivate the hidden visibility
  support, thereby fixing the build.
* Wed Jul 25 2007 - maw@suse.de
- Security update to version 2.0.0.5 (#288115)
- This new release has fixes for:
  MFSA 2007-18
  CVE-2007-3734 - Browser flaws
  CVE-2007-3735 - Javascript flaws
  MFSA 2007-19
  CVE-2007-3736
  MFSA 2007-20
  CVE-2007-3089
  MFSA 2007-21
  CVE-2007-3737
  MFSA 2007-22
  CVE-2007-3285
  MFSA 2007-23
  CVE-2007-3670
  MFSA 2007-24
  CVE-2007-3656
  MFSA 2007-25
  CVE-2007-3738
- Update to enigmail 0.95.2.
* Thu Jun 21 2007 - adrian@suse.de
- fix changelog entry order
* Sat Jun 16 2007 - maw@suse.de
- Merge update to 2.0.0.4 from the build service (thanks, Wolfgang)
- Remove some commented out stuff.
* Wed Jun 13 2007 - wr@rosenauer.org
- update to maintenance release 2.0.0.4
- update enigmail to 0.95.1
- adopted patches:
  * fixed cups-paper.patch (copied from FF)
  * removed obsolete visibility.patch
* Tue Jun 12 2007 - maw@suse.de
- Merge chagnges from the build service (thanks, Wolfgang)
- Now use l10n-%%{version}.tar.bz2 instead of l10n.tar.bz2 as
  before.
* Tue Jun 05 2007 - maw@suse.de
- Security update to version 1.5.0.12 (#271197).
* Tue Jun 05 2007 - sbrabec@suse.cz
- Removed invalid desktop category "Application" (#254654).
* Thu Apr 19 2007 - wr@rosenauer.org
- update to final version 2.0.0.0
  (http://www.mozilla.com/en-US/thunderbird/2.0.0.0/releasenotes/)
- update enigmail to 0.95.0
* Wed Apr 18 2007 - mfabian@suse.de
- add Japanese to the languages which get PANGO enabled in the
  start script to support the Japanese combining characters
  U+3099 U+309A (see bugzilla #262718 comment #29).
* Thu Apr 12 2007 - wr@rosenauer.org
- update to 2.0.0.0rc1
- enabled translations package
* Fri Mar 30 2007 - wr@rosenauer.org
- update to snapshot 2.0.0.0pre-20070329
- security update enigmail 0.94.3
  (Bugtraq #22758)
* Fri Mar 30 2007 - meissner@suse.de
- require unzip
* Tue Mar 13 2007 - wr@rosenauer.org
- update to snapshot 2.0pre-20060312
- removed implicit NSS version dependency
* Thu Mar 08 2007 - meissner@suse.de
- Upgraded to 1.5.0.10 security release.
- Upgraded to enigmail 0.94.2.
* Thu Feb 15 2007 - wr@rosenauer.org
- update to snapshot 2.0beta2-20060214
- fixed build on SLES9
* Mon Feb 05 2007 - wr@rosenauer.org
- fixed check in add-plugins.sh (#242237)
* Tue Jan 30 2007 - maw@suse.de
- Add thunderbird-1.5.0.8-uninitalized-vars-232305.patch (#232305).
* Fri Jan 19 2007 - maw@suse.de
- Add undefined-ops.patch, silencing some warnings.
* Thu Nov 09 2006 - jhargadon@suse.de
- security update to version 1.5.0.8
* Tue Sep 12 2006 - stark@suse.de
- security update to version 1.5.0.7
* Mon Aug 14 2006 - stark@suse.de
- update enigmail to 0.94.1
  * Added support for signing attachments with inline-PGP
- update mailredirect to 0.7.4
- added backend patch to allow replies to list with
  ReplyToListThunderbirdExtension (#199125, bmo #45715)
- added mailnews.clobber_list_reply pref which switches
  "Reply All" to "Reply List" functionality if set
* Thu Jul 27 2006 - stark@suse.de
- security update to version 1.5.0.5 (#195043)
- fixed overwrite confirmation for GTK filesaver (#179531)
* Wed Jun 07 2006 - stark@suse.de
- fixed up BuildRequires
* Fri Jun 02 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 02 2006 - stark@suse.de
- update to security/stability release 1.5.0.4 (#179011)
  (http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird)
* Mon May 15 2006 - stark@suse.de
- update to version 1.5.0.2
- update mailredirect to 0.7.3
- save printer settings properly (#174082, bmo #324072)
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- get available paper sizes from CUPS (#65482)
* Sat Mar 18 2006 - stark@suse.de
- translations package is suggested now by main package
- yet another set of upstream fixes (#148876)
* Sun Mar 12 2006 - stark@suse.de
- added Khmer (km-*) to pango locales (#157397)
- yet another set of upstream fixes (#148876)
* Sat Mar 04 2006 - stark@suse.de
- latest security fixes from upstream (#148876)
- show multiple Reply-To addresses (bmo #106189)
* Fri Feb 24 2006 - stark@suse.de
- added GTK category to desktop-file
- dumpstack.patch is in upstream patches now
- get some more patches (#148876)
* Tue Feb 14 2006 - stark@suse.de
- applied set of security patches (#148876)
* Tue Feb 07 2006 - stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb 02 2006 - stark@suse.de
- defined gssapi lib explicitely (#147670)
* Wed Feb 01 2006 - stark@suse.de
- removed additional CA certs from builtin NSS
- make it possible to choose $HOME as download directory
  (#144894, bmo #300856)
- cleaned up BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
- preload libaoss for plugin sound (#117079)
- fix to ignore X composite extension (#135373)
* Wed Jan 18 2006 - stark@suse.de
- added default (font) settings
- tweak useragent
- fixed DumpStackToFile() for glibc 2.4
* Thu Jan 12 2006 - stark@suse.de
- update to 1.5 (20060111)
- added sytem extensions patch
- added XUL filechooser patch (MOZ_XUL_PICKER)
- update enigmail to 0.94.0
- use -fstack-protector where available
- use system NSS since CODE10
* Wed Dec 28 2005 - stark@suse.de
- update to 1.5rc2 (20051227)
* Sun Dec 11 2005 - stark@suse.de
- update to 1.5 (20051211)
- update enigmail to 0.93.2
* Tue Nov 29 2005 - stark@suse.de
- update enigmail to 0.93.1
- added patch for GTK2 handling (#134831)
* Fri Nov 25 2005 - stark@suse.de
- update to 1.5 (20051124)
* Fri Oct 28 2005 - stark@suse.de
- update to latest 1.5 snapshot (20051027)
- added patch to be able to reply to and forward rfc822 messages
  (bmo #204350)
- again don't provide and require NSS stuff
- removed disable-gconf patch (no registration needed in build
  process anymore)
- added mailredirect extension
- removed update functionality
* Mon Oct 10 2005 - stark@suse.de
- update to 1.5b2 (20051008)
- preinstall Enigmail (version 0.93.0) as global extension
- add all supported locales and use if installed
* Tue Oct 04 2005 - stark@suse.de
- update to 1.5b2 (20051003) (RPM version 1.4.1)
- prerequire NSPR
- prepared translations subpackage
- fixed filelist
- fixed build with new gcc
* Wed Sep 21 2005 - stark@suse.de
- update to 1.5b1 (20050920)
- added spellchecker integration with myspell (add-plugins.sh)
- removed aviary-install-global patch (not needed anymore, with
  new EM)
- enabled pango font rendering (through cairo hopefully)
- fixed GNOME gconf registration (#117851)
* Sat Aug 20 2005 - stark@suse.de
- workaround for linking with pangoxft and pangox
  (broken by gtk 2.8 update) (#105764)
* Thu Aug 18 2005 - stark@suse.de
- fixed Gdk-WARNING at startup (gtk.patch)
- fixed regression in profile locking change (bmo #303633)
- fixed crash with gtk 2.7 (bmo #300226, bnc #104586)
* Wed Aug 03 2005 - stark@suse.de
- fixed profile locking (bmo #151188)
* Fri Jul 29 2005 - stark@suse.de
- don't require and provide NSS libs (#98002)
* Fri Jul 22 2005 - stark@suse.de
- fixed printing patch
* Tue Jul 19 2005 - stark@suse.de
- added NSPR to PreReq
- disable stripping in specfile
* Fri Jul 15 2005 - stark@suse.de
- update to 1.0.6 which restores API compatibility
- fixed width calculation in Postscript module (bmo #290292)
* Thu Jul 14 2005 - stark@suse.de
- fixed filelist to include icon-file and startscript again
* Tue Jul 12 2005 - stark@suse.de
- fixed remote usage behaviour in start script (bnc #41903)
- update to 1.0.5 security release
- fixed quoting patch
- moved desktop file to a Gnome independent location
- don't strip explicitely
- use RPM_OPT_FLAGS for NSS component
- fixed implicit declarations and uninitialized used variables
* Thu Apr 28 2005 - stark@suse.de
- updated to current 1.0 branch version
- use static NSPR from other location
* Sat Apr 23 2005 - stark@suse.de
- activate usage of system NSPR for distributions after 9.3
- add patch to be able to use systen NSPR at all
- extended desktop file
* Fri Apr 22 2005 - ro@suse.de
- apply mozilla-gcc4.patch
* Wed Mar 23 2005 - stark@suse.de
- update to 1.0.2
- use system NSPR on SUSE releases after 9.3
- made startscript PIS aware
- set g-application-name correctly (bmo #281979)
* Mon Mar 07 2005 - stark@suse.de
- don't use gconfd in registration phase (#66381)
* Fri Feb 25 2005 - stark@suse.de
- update to version 1.0.1
* Tue Feb 22 2005 - stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Wed Feb 02 2005 - stark@suse.de
- added a JS crasher fix (bmc #268535)
* Sat Jan 22 2005 - stark@suse.de
- added some backported bugfixes
* Tue Dec 07 2004 - stark@suse.de
- update to 1.0
- fixed extra lines in replies (bmo #144998)
- fixed build on s390/s390x
* Wed Nov 24 2004 - stark@suse.de
- update to 20041123 snapshot
- inherit downloadFolder patch from Firefox
* Fri Nov 12 2004 - stark@suse.de
- fixed chrome filelist
* Thu Nov 04 2004 - stark@suse.de
- update to 0.9
- sync patch-set with firefox base
- fixed neededforbuild to get GNOME functionalities
* Fri Sep 17 2004 - stark@suse.de
- added some missing fixes for official release
- synced add-plugins.sh
* Sat Sep 11 2004 - stark@suse.de
- update to official 0.8 version (20040911)
- fixed enigmail config
* Mon Sep 06 2004 - stark@suse.de
- fixed profile directory
* Fri Sep 03 2004 - stark@suse.de
- update to thunderbird 0.8 (20040903)
- update enigmail to 0.86.0 and ipc to 1.0.8 (deactivated)
* Tue Aug 24 2004 - stark@suse.de
- update to thunderbird 0.7.3
- update enigmail to 0.85.0 and ipc to 1.0.7
* Tue Jun 29 2004 - stark@suse.de
- update to thunderbird 0.7.1
- update enigmail to 0.84.1
* Wed May 12 2004 - ro@suse.de
- add some missing return values
* Mon May 03 2004 - stark@suse.de
- update to Thunderbird 0.6 (based on 1.7rc1)
- use official branding for release builds
- added desktop-icon (#39139)
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Fri Mar 26 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Mon Mar 08 2004 - ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Fri Mar 05 2004 - stark@suse.de
- more fixes for #35179
- added firefox as default handler for its protocols
- update enigmail to 0.83.4
* Wed Mar 03 2004 - stark@suse.de
- removed unused patches for GTK2 build
* Sun Feb 29 2004 - stark@suse.de
- improved start-script to interact with firefox and mozilla
  (#35179)
* Fri Feb 27 2004 - stark@suse.de
- update to 0.5
- spec-file cleanup
* Wed Oct 15 2003 - stark@suse.de
- update to 0.3 (sync with mozilla 1.5)
* Tue Jul 15 2003 - stark@suse.de
- initial package (snapshot 20030714)
